package org.gcube.portlets.user.td.information.client;


import org.gcube.portlets.user.td.gxtservice.client.rpc.TDGXTService;
import org.gcube.portlets.user.td.gxtservice.client.rpc.TDGXTServiceAsync;
import org.gcube.portlets.user.td.gxtservice.shared.TDGXTServiceException;
import org.gcube.portlets.user.td.gxtservice.shared.TabResource;

import com.google.gwt.core.client.GWT;
import com.google.gwt.junit.client.GWTTestCase;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;

/**
 * GWT JUnit <b>integration</b> tests must extend GWTTestCase.
 * Using <code>"GwtTest*"</code> naming pattern exclude them from running with
 * surefire during the test phase.
 * 
 * If you run the tests using the Maven command line, you will have to 
 * navigate with your browser to a specific url given by Maven. 
 * See http://mojo.codehaus.org/gwt-maven-plugin/user-guide/testing.html 
 * for details.
 */
public class GwtTestInformation extends GWTTestCase {

  /**
   * Must refer to a valid module that sources this class.
   */
  public String getModuleName() {
    return "org.gcube.portlets.user.td.information.InformationJUnit";
  }

 
  /**
   * This test will send a request to the server
   */
  public void testInformation() {
    // Create the service that we will test.
    TDGXTServiceAsync tdGXTService = GWT.create(TDGXTService.class);
    ServiceDefTarget target = (ServiceDefTarget) tdGXTService;
    System.out.println(GWT.getModuleBaseURL() + "/TDGXTService");
    target.setServiceEntryPoint(GWT.getModuleBaseURL() + "/TDGXTService");

    // Since RPC calls are asynchronous, we will need to wait for a response
    // after this test method returns. This line tells the test runner to wait
    // up to 10 seconds before timing out.
    delayTestFinish(2000);
    finishTest();
    
    // Send a request to the server.
    /*try {
		TDGXTServiceAsync.INSTANCE.getTabResource( 
				new  AsyncCallback<TabResource>() {
		
			
			@Override
			public void onSuccess(TabResource result) {
				assertTrue(result!=null);
				System.out.println(result);
				  // Now that we have received a response, we need to tell the test runner
		        // that the test is complete. You must call finishTest() after an
		        // asynchronous test finishes successfully, or the test will time out.
		        finishTest();
			} 

			@Override
			public void onFailure(Throwable caught) {
				 // The request resulted in an unexpected error.
		        fail("Request failure: " + caught.getMessage());
			    
				

			}

		});
	} catch (TDGXTServiceException e) {
		System.out.println("Error in comunications: "+e.getLocalizedMessage());
		e.printStackTrace();
	}
    */
    
    
  }



}
